# Created by pyp2rpm-3.3.6
%global pypi_name cwcwidth

Name:           python-%{pypi_name}
Version:        0.1.10
Release:        %mkrel 2
Summary:        Python bindings for wc(s)width
Group:          Development/Python
License:        MIT
URL:            https://github.com/sebastinas/cwcwidth
Source0:        https://files.pythonhosted.org/packages/source/c/%{pypi_name}/%{pypi_name}-%{version}.tar.gz

BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(cython)

%description
Python bindings for wc(s)widthcwcwidth provides Python bindings for wcwidth and
wcswidth functions defined in POSIX.1-2001 and POSIX.1-2008 based on Cython.
These functions compute the printable length of a unicode character/string on a
terminal. The module provides the same functions as wcwidth and its behavior is
compatible.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Python bindings for wc(s)widthcwcwidth provides Python bindings for wcwidth and
wcswidth functions defined in POSIX.1-2001 and POSIX.1-2008 based on Cython.
These functions compute the printable length of a unicode character/string on a
terminal. The module provides the same functions as wcwidth and its behavior is
compatible.

%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%check
(cd tests ; PYTHONPATH=%{buildroot}%{python3_sitearch} %{__python3} -m unittest -v)

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.md


%changelog
* Wed Jul 02 2025 umeabot <umeabot> 0.1.10-2.mga10
+ Revision: 2237662
- Mageia 10 Mass Rebuild

* Fri Feb 28 2025 daviddavid <daviddavid> 0.1.10-1.mga10
+ Revision: 2153727
- new version: 0.1.10
- rebuild for python 3.13

* Tue Dec 24 2024 papoteur <papoteur> 0.1.9-2.mga10
+ Revision: 2129723
- fix tests

* Sat Jan 20 2024 papoteur <papoteur> 0.1.9-1.mga10
+ Revision: 2033030
- new version 0.1.9

* Sun Dec 04 2022 wally <wally> 0.1.8-1.mga9
+ Revision: 1917740
- new version 0.1.8

* Sun Aug 28 2022 wally <wally> 0.1.7-1.mga9
+ Revision: 1881424
- new version 0.1.7
- switch build to use pyproject rpm macros

* Sun Mar 27 2022 umeabot <umeabot> 0.1.6-2.mga9
+ Revision: 1829352
- Mageia 9 Mass Rebuild

* Thu Feb 17 2022 akien <akien> 0.1.6-1.mga9
+ Revision: 1779116
- Version 0.1.6

* Sun Jun 27 2021 wally <wally> 0.1.4-1.mga9
+ Revision: 1733984
- imported package python-cwcwidth

